<template>
    <div>
        <el-button @click="outerVisible = true">流程测试</el-button>
        <el-button @click="handleTable">人员设置</el-button>
        <flow-business :visible.sync="outerVisible"></flow-business>
       <set-personnel :visible.sync="visibleFlow" :parameter="parameter" :parameter-keys="props" ></set-personnel>
    </div>
</template>

<script>
import FlowBusiness from '@/components/template/Business'
import SetPersonnel from '@/components/template/SetPersonnel'
export default {
    components: {
        FlowBusiness,
        SetPersonnel
    },
    data() {
        return {
            outerVisible: false,
            visibleFlow: false,
            parameter:{
                ids:['0000','22222222'],
                code:'8b5e2017-990f-454a-9c39-4c4eeeb57553',
                type:'PUBLIC',
                template:'模板template',
                vars:{
                    name:'111',
                    sex:'222'
                }
            },
            props:{
                flowTemplate:'template',
                type:'type',
                ids:'ids',
                code:'code'
            }
        }
    },
    methods: {
        handleSave(event) {
            console.log(event)
        },
        handleTable(){
            this.visibleFlow = true
        }
    }
}
</script>
<style lang="scss" scoped></style>